import 'brace';
import 'brace/mode/text';
import 'brace/theme/github';
import { AfterViewInit, EventEmitter } from '@angular/core';
import { AceDirective } from './ace.directive';
import { AceConfigInterface } from './ace.interfaces';
import * as i0 from "@angular/core";
export declare class AceComponent implements AfterViewInit {
    private content;
    get value(): string;
    set value(value: string);
    disabled: boolean;
    mode: string;
    theme: string;
    config?: AceConfigInterface;
    useAceClass: boolean;
    blur: EventEmitter<any>;
    focus: EventEmitter<any>;
    copy: EventEmitter<any>;
    paste: EventEmitter<any>;
    change: EventEmitter<any>;
    valueChange: EventEmitter<string>;
    changeCursor: EventEmitter<any>;
    changeSession: EventEmitter<any>;
    changeSelection: EventEmitter<any>;
    directiveRef?: AceDirective;
    constructor();
    ngAfterViewInit(): void;
    private setContent;
    getConfig(): AceConfigInterface;
    onContentChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AceComponent, "ace", ["ngxAce"], { "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "config": { "alias": "config"; "required": false; }; "useAceClass": { "alias": "useAceClass"; "required": false; }; }, { "blur": "blur"; "focus": "focus"; "copy": "copy"; "paste": "paste"; "change": "change"; "valueChange": "valueChange"; "changeCursor": "changeCursor"; "changeSession": "changeSession"; "changeSelection": "changeSelection"; }, never, never, false, never>;
}
